
/*!
 * party
 * Copyright(c) 2011 LearnBoost <tj@learnboost.com>
 * MIT Licensed
 */

/**
 * Library version.
 */

exports.version = '0.0.1';

/**
 * Expose `Part`/.
 */

exports.Part = require('./part');

/**
 * Expose `MultipartParser`.
 */

exports.MultipartParser = require('./parser');

/**
 * Headers plugin.
 */

var headers = require('./headers');

/**
 * Progress plugin.
 */

var progress = require('./progress');

/**
 * Create a new `MultipartParser` for `boundary`.
 *
 * Options:
 *
 *   - `length` typically the "Content-Length" for progress support
 *
 * @param {String} boundary
 * @param {Object} options
 * @return {MultipartParser}
 * @api public
 */

exports.createParser = function(boundary, options){
  return new exports.MultipartParser(boundary, options)
    .use(progress(options))
    .use(headers(options));
};