
/*!
 * party - progress
 * Copyright(c) 2011 LearnBoost <tj@learnboost.com>
 * MIT Licensed
 */

/**
 * Emit "progress" events, passing the percentage,
 * as well as the bytes received, and bytes expected.
 *
 * @param {Object} options
 * @return {Function}
 * @api public
 */

module.exports = function(options){
  options = options || {};
  var expected = options.length
    , received = 0;

  return function progress(parser){
    if ('number' != typeof expected) return;
    parser.on('part data', function(chunk){
      received += chunk.length;
      var percent = (received / expected * 10000 | 0) / 100;
      parser.emit('progress', percent, received, expected);
    });
  }
};
