
/**
 * Module dependencies.
 */

var assert = require('assert')
  , helpers = require('../helpers')
  , fs = require('fs');

exports.boundary = '20cf301e2f014c654904a49bf628';

exports.test = function(parser, next){
  var n = 0;
  parser.on('part', function(part){
    switch (n++) {
      case 0:
        part.is('multipart/alternative').should.be.true;
        break;
      case 1:
        part.param('content-type', 'name').should.equal('getstarted-role-dropdown.png');
        part.param('content-disposition', 'filename').should.equal('getstarted-role-dropdown.png');
        part.encoding.should.equal('base64');
        part.header.should.have.property('x-attachment-id', 'f_godk9y8n0');
        part.decode('base64').pipe(fs.createWriteStream('/tmp/party-attachments-many-0.png'));
        break;
      case 2:
        part.param('content-type', 'name').should.equal('goog-apps-nav.png');
        part.param('content-disposition', 'filename').should.equal('goog-apps-nav.png');
        part.encoding.should.equal('base64');
        part.header.should.have.property('x-attachment-id', 'f_godk9y8q1');
        part.decode('base64').pipe(fs.createWriteStream('/tmp/party-attachments-many-1.png'));
        break;
      case 3:
        part.param('content-type', 'name').should.equal('google-apps-header.png');
        part.param('content-disposition', 'filename').should.equal('google-apps-header.png');
        part.encoding.should.equal('base64');
        part.header.should.have.property('x-attachment-id', 'f_godk9y8r2');
        part.decode('base64').pipe(fs.createWriteStream('/tmp/party-attachments-many-2.png'));
        break;
      case 4:
        part.param('content-type', 'name').should.equal('gradebook-bg-body.png');
        part.param('content-disposition', 'filename').should.equal('gradebook-bg-body.png');
        part.encoding.should.equal('base64');
        part.header.should.have.property('x-attachment-id', 'f_godk9y8s3');
        part.decode('base64').pipe(fs.createWriteStream('/tmp/party-attachments-many-3.png'));
        break;
      case 5:
        part.param('content-type', 'name').should.equal('gradebook-bg-top.png');
        part.param('content-disposition', 'filename').should.equal('gradebook-bg-top.png');
        part.encoding.should.equal('base64');
        part.header.should.have.property('x-attachment-id', 'f_godk9y8s4');
        part.decode('base64').pipe(fs.createWriteStream('/tmp/party-attachments-many-4.png'));
        break;
      case 6:
        part.param('content-type', 'name').should.equal('gradebook-dropdown.gif');
        part.param('content-disposition', 'filename').should.equal('gradebook-dropdown.gif');
        part.encoding.should.equal('base64');
        part.header.should.have.property('x-attachment-id', 'f_godk9y8t5');
        part.decode('base64').pipe(fs.createWriteStream('/tmp/party-attachments-many-5.png'));
        break;
      case 7:
        part.param('content-type', 'name').should.equal('gradebook-ec-sash.png');
        part.param('content-disposition', 'filename').should.equal('gradebook-ec-sash.png');
        part.encoding.should.equal('base64');
        part.header.should.have.property('x-attachment-id', 'f_godk9y8u6');
        part.decode('base64').pipe(fs.createWriteStream('/tmp/party-attachments-many-6.png'));
        break;
      default:
        part.isAttachment.should.be.true;
        part.encoding.should.equal('base64');
        part.decode('base64').pipe(fs.createWriteStream('/tmp/party-attachments-many-' + n + '.png'));
        if (21 == n) next();
        break;
    }
  });
};