
/**
 * Module dependencies.
 */

var assert = require('assert')
  , helpers = require('../helpers')
  , fs = require('fs');

exports.boundary = '0016e6db2c7ab4e8c604a49aa992';

exports.test = function(parser, next){
  var n = 0;
  parser.on('part', function(part){
    switch (n++) {
      case 0:
        part.is('image/png').should.be.true;
        part.param('content-type', 'name').should.equal('attendance-select.png');
        part.isAttachment.should.be.true;
        part.encoding.should.equal('base64');
        part.header.should.have.property('x-attachment-id', 'f_godh091c0');
        part.decode('base64').pipe(fs.createWriteStream('/tmp/party-attachments-0.png'));
        break;
      case 1:
        part.is('image/png').should.be.true;
        part.param('content-type', 'name').should.equal('attendance-back.png');
        part.param('content-disposition', 'filename').should.equal('attendance-back.png');
        part.isAttachment.should.be.true;
        part.encoding.should.equal('base64');
        part.decode('base64').pipe(fs.createWriteStream('/tmp/party-attachments-1.png'));
        part.header.should.have.property('x-attachment-id', 'f_godh0etd1');
        next();
        break;
    }
  });
};