
/**
 * Module dependencies.
 */

var assert = require('assert')
  , helpers = require('../helpers');

exports.boundary = '0016e6dbe80cef48ff04a4d08cf6';

exports.test = function(parser, next){
  var n = 0;
  parser.on('part', function(part){
    switch (n++) {
      case 0:
        var buf = '';
        part.on('data', function(chunk){ buf += chunk; });
        part.on('end', function(){
          helpers.assert(buf, 'quoted-printable.0');
        });
        break;
      case 1:
        part.encoding.should.equal('quoted-printable');
        var buf = '';
        var stream = part.decode('quoted-printable');
        stream.on('data', function(chunk){ buf += chunk; });
        stream.on('end', function(){
          helpers.assert(buf, 'quoted-printable.1');
          next();
        });
    }
  });
};