
/**
 * Module dependencies.
 */

var fs = require('fs');

/**
 * Return fixture `name`'s data.
 *
 * @param {String} name
 * @return {String}
 */

exports.fixture = function(name){
  return fs.readFileSync(__dirname + '/cases/' + name + '.out', 'utf8')
    .replace(/\n/g, '\r\n');
};

/**
 * Assert `str` == fixture `name`.
 *
 * @param {String} str
 * @param {String} name
 */

exports.assert = function(str, name){
  var expected = exports.fixture(name);
  if (str != expected) {
    console.error('\n\n\033[90mactual: ');
    console.error('%sEOF', str);
    console.error('\n\033[90mexpected: ');
    console.error('%sEOF', expected);
    console.error('\033[0m');
    process.exit(1);
  }
};